// Actino Adobe Acrobat Update Checker
// Mit Javascript beim Aufruf von Adobe Acrobat prüfen ob ein Update installiert wurde
// Installation Windows: Ablage 'actino_acrobat_update_checker.js' im C:\Program Files (x86)\Adobe\Acrobat Reader DC\Reader\Javascripts
// Installation MacOS: Ablage 'actino_acrobat_update_checker.js' /Volumes/Macintosh HD - Daten/Applications/Adobe Acrobat DC/Adobe Acrobat.app/Contents/Resources/JavaScripts
// Code Jörg Heine, actino.de
// Konzept Michael Karbe und Jörg Oyen, actino.de
// Supercharged PDF Document Solutions actino.de

// Hier bitte die aktuelle Versionsnummer eintragen.

var versvergleich = "20.01320061";

// var versvergleich = "21.00720098";


var vers = app.viewerVersion;
var vert = app.viewerType;
var verv = app.viewerVariation;

var dialog27= {
	strName: "", initialize: function(dialog) {
	    dialog.load({"usnm":this.strName}); },
        commit: function(dialog) {
              var data = dialog.store();
              this.strName = data[ "usnm"];},
			  selB: function(dialog) {
try{
		app.launchURL("https://acrobat-signdays-21.actino.de/", true);
}
catch(e){
	app.alert("Fehler bei der Websiteaufruf : " + e);
}

    dialog.end("selB");
},

DRNo: function(dialog) {

try{
		app.launchURL("https://www.adobe.com/devnet-docs/acrobatetk/tools/ReleaseNotesDC/index.html", true);
}
catch(e){
	app.alert("Fehler bei der Websiteaufruf : " + e);
}

    dialog.end("Abbr");
},
        description: { name: "Supercharged PDF Document Solutions"+versvergleich, elements: [
        	{ type: "view", elements: [

				{type: "static_text",name: "ADOBE ACROBAT UPDATE CHECKER",bold: true,font: "dialog",char_width: 40,height: 20},
				{type: "static_text",name: "by Actino Software GmbH, Euskirchen, 2021",bold: false,font: "dialog",char_width: 40,height: 30},
				{type: "static_text",name: "Version: "+vers+" installiert! Vorgabe war: "+versvergleich+"",bold: true,font: "dialog",char_width: 30,height: 15},
				{type: "static_text",name: "Informationen zu den neuen Funktionen und Bugfixes von Adobe:",bold: false,font: "dialog",char_width: 30,height: 20},
				{type: "button",item_id: "DRNo", name: "Adobe Acrobat / Reader DC Release Notes online lesen"},
				{type: "static_text",name: "Bitte anschliessend Vorgabe Versionsnummer im JavaScript aktualisieren!",bold: false,font: "dialog",char_width: 30,height: 25},

				{ type: "ok", },
			] },
		] }
};

	if((""+versvergleich)!=(""+vers)){

try{
var testout = app.setTimeOut("var retn = app.execDialog(dialog27)", 1000);
}
catch(e){
	app.alert("Fehler : " + e);
}
}
